[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# SecondsBetween

Calculate the number of whole seconds between two DateTime values.

## Declaration

Source position: dateutil.inc line 262

`function SecondsBetween(`
`const ANow: TDateTime;`
`const AThen: TDateTime`
`):Int64;`

## Arguments

`ANow` |  | First moment in time
`AThen` |  | Second moment in time

## Function result

Number of seconds between ANow and AThen

## Description

SecondsBetween returns the number of whole seconds between ANow and AThen. This means the fractional part of a second (milliseconds etc.) is dropped.

## See also

YearsBetween |  | Calculate the number of whole years between two DateTime values
MonthsBetween |  | Calculate the number of whole months between two DateTime values
WeeksBetween |  | Calculate the number of whole weeks between two DateTime values
DaysBetween |  | Number of whole days between two DateTime values.
HoursBetween |  | Calculate the number of whole hours between two DateTime values.
MinutesBetween |  | Calculate the number of whole minutes between two DateTime values.
MilliSecondsBetween |  | Calculate the number of whole milliseconds between two DateTime values.

## Example

    Program Example61;

    { This program demonstrates the SecondsBetween function }

    Uses SysUtils,DateUtils;

    Procedure Test(ANow,AThen : TDateTime);

    begin
     Write('Number of seconds between ');
     Write(TimeToStr(AThen),' and ',TimeToStr(ANow));
     Writeln(' : ',SecondsBetween(ANow,AThen));
    end;

    Var
      D1,D2 : TDateTime;

    Begin
      D1:=Now;
      D2:=D1-(999*OneMilliSecond);
      Test(D1,D2);
      D2:=D1-(1001*OneMilliSecond);
      Test(D1,D2);
      D2:=D1-(2001*OneMilliSecond);
      Test(D1,D2);
      D2:=D1-(5001*OneMilliSecond);
      Test(D1,D2);
      D2:=D1-(5.4*OneSecond);
      Test(D1,D2);
      D2:=D1-(2.5*OneSecond);
      Test(D1,D2);
    End.

Documentation generated on: Feb 26 2014